{{- if .Values.nginx.service.create -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "gwlab_cwfollowup.fullname" . }}-nginx
  labels:
    {{- include "gwlab_cwfollowup.labels" . | nindent 4 }}
spec:
  type: {{ .Values.nginx.service.type }}
  ports:
    - port: {{ .Values.nginx.service.port }}
      targetPort: {{ .Values.nginx.service.targetPort }}
      protocol: TCP
      name: http
  selector:
    {{- include "gwlab_cwfollowup.selectorLabels" . | nindent 4 }}
    {{- toYaml .Values.nginx.selectorLabels | nindent 4 }}
{{- end }}